<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iMessageTriggerFactory Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iMessageTriggerFactory Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iMessageTriggerFactory" --><!-- doxytag: inherits="iBase" -->
<p>This interface is implemented by the trigger that fires when a message is sent.  
 <a href="structiMessageTriggerFactory.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="triggers_8h_source.html">tools/triggers.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iMessageTriggerFactory:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiMessageTriggerFactory.png" usemap="#iMessageTriggerFactory_map" alt=""/>
  <map id="iMessageTriggerFactory_map" name="iMessageTriggerFactory_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,151,24"/>
</map>
 </div></div>

<p><a href="structiMessageTriggerFactory-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiMessageTriggerFactory.html#ae767a9e9e2d4edaf1b98390c54312523">SetEntityParameter</a> (const char *entity)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the entity from which we want to listen to messages.  <a href="#ae767a9e9e2d4edaf1b98390c54312523"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiMessageTriggerFactory.html#a56abec8d1394fcaef881c89f0ab3da60">SetMaskParameter</a> (const char *mask)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the message mask that we want to receive messages for.  <a href="#a56abec8d1394fcaef881c89f0ab3da60"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This interface is implemented by the trigger that fires when a message is sent. </p>
<p>You can query this interface from the trigger factory if you want to manually control this factory as opposed to loading its definition from an XML document.</p>
<p>The predefined name of this trigger type is 'cel.triggers.message'.</p>
<p>In XML, factories recognize the following attributes on the 'fireon' node:</p>
<ul>
<li><em>entity</em>: the name of the entity from which we want to listen to messages.</li>
<li><em>mask</em>: the message mask to listen too. </li>
</ul>

<p>Definition at line <a class="el" href="triggers_8h_source.html#l00284">284</a> of file <a class="el" href="triggers_8h_source.html">triggers.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ae767a9e9e2d4edaf1b98390c54312523"></a><!-- doxytag: member="iMessageTriggerFactory::SetEntityParameter" ref="ae767a9e9e2d4edaf1b98390c54312523" args="(const char *entity)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiMessageTriggerFactory.html#ae767a9e9e2d4edaf1b98390c54312523">iMessageTriggerFactory::SetEntityParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the name of the entity from which we want to listen to messages. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">entity</td><td>is the name of the entity or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a56abec8d1394fcaef881c89f0ab3da60"></a><!-- doxytag: member="iMessageTriggerFactory::SetMaskParameter" ref="a56abec8d1394fcaef881c89f0ab3da60" args="(const char *mask)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiMessageTriggerFactory.html#a56abec8d1394fcaef881c89f0ab3da60">iMessageTriggerFactory::SetMaskParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>mask</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the name of the message mask that we want to receive messages for. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">mask</td><td>is the message mask or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="triggers_8h_source.html">triggers.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
